Subject: bug#62136: 30.0.50; byte-compiled init.el loads correctly, but native compiled init.eln loads incompletely

From: "Mark A. Hershberger" <[email-masked]>
Date: Mon, 13 Mar 2023 01:40:42 -0400

Thanks for the reply, Eli.

It is late, so I will try to find more information tomorrow, but right
now I can give you a *Messages* buffer from a complete load (when there
is an init.elc file, but no init.eln file) and a *Messages* buffer from
an improper load (when there is an init.eln file).

To quickly pin-point the missing lines from the improper load, this is
the first set of missing lines:

=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=
loading spacemacs 3s elapsed since emacs started.
Warning: setting attribute ‘:foreground’ of face ‘trailing-whitespace’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-4’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-3’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-2’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-1’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘mode-line-buffer-id’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:foreground’ of face ‘ido-subdir’: nil value is invalid, use ‘unspecified’ instead.
Restarting server
done loading spacemacs 3s elapsed since emacs started.
[yas] Prepared just-in-time loading of snippets successfully.
=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=

There is another section missing as well:

=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=
Loading auto-compile (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘diff-removed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-added’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-changed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-removed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-added’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-changed’: nil value is invalid, use ‘unspecified’ instead.
Waiting for git... [2 times]
Loading page-break-lines (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘blamer-face’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘which-key-separator-face’: nil value is invalid, use ‘unspecified’ instead.
=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=

I'll try to track down the code in my init.el that corresponds with
these lines tomorrow.

Full Messages buffers:

proper load:

=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=
got /home/mah/.emacs.d/straight/repos/straight.el/bootstrap.el
Loading /home/mah/.emacs.d/define.el (source)...done
Loading /home/mah/.emacs.d/my-custom.el (source)...
Loading allout (native compiled elisp)...done
Loading help-at-pt (native compiled elisp)...done
Loading ido (native compiled elisp)...done
Loading server (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘mode-line-buffer-id’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:foreground’ of face ‘ido-subdir’: nil value is invalid, use ‘unspecified’ instead.
Loading /home/mah/.emacs.d/my-custom.el (source)...done
Loading /home/mah/.emacs.d/my-firestarter.el (source)...done
before use-package in default.el 3s elapsed since emacs started.
Restarting server
loading spacemacs 3s elapsed since emacs started.
Warning: setting attribute ‘:foreground’ of face ‘trailing-whitespace’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-4’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-3’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-2’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘org-level-1’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘mode-line-buffer-id’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:foreground’ of face ‘ido-subdir’: nil value is invalid, use ‘unspecified’ instead.
Restarting server
done loading spacemacs 3s elapsed since emacs started.
[yas] Prepared just-in-time loading of snippets successfully.
after org-table in default.el 4s elapsed since emacs started.
Loading auto-compile (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘diff-removed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-added’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-changed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-removed’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-added’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘diff-indicator-changed’: nil value is invalid, use ‘unspecified’ instead.
Waiting for git... [2 times]
Loading page-break-lines (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘blamer-face’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:background’ of face ‘which-key-separator-face’: nil value is invalid, use ‘unspecified’ instead.
Preparing diary...
Followed link to /home/mah/home-files/dotfiles/diary
No diary entries for Monday, March 13, 2023
Appointment reminders enabled
init.el 9s elapsed since emacs started.
Started up! 10s elapsed since emacs started.
=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=

improper load

=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=
got /home/mah/.emacs.d/straight/repos/straight.el/bootstrap.el
Loading /home/mah/.emacs.d/define.el (source)...done
Loading /home/mah/.emacs.d/my-custom.el (source)...
Loading allout (native compiled elisp)...done
Loading help-at-pt (native compiled elisp)...done
Loading ido (native compiled elisp)...done
Loading server (native compiled elisp)...done
Warning: setting attribute ‘:background’ of face ‘mode-line-buffer-id’: nil value is invalid, use ‘unspecified’ instead.
Warning: setting attribute ‘:foreground’ of face ‘ido-subdir’: nil value is invalid, use ‘unspecified’ instead.
Loading /home/mah/.emacs.d/my-custom.el (source)...done
Loading /home/mah/.emacs.d/my-firestarter.el (source)...done
before use-package in default.el 3s elapsed since emacs started.
Restarting server
after org-table in default.el 3s elapsed since emacs started.
Preparing diary...
Followed link to /home/mah/home-files/dotfiles/diary
No diary entries for Monday, March 13, 2023
Appointment reminders enabled
init.el 3s elapsed since emacs started.
Started up! 3s elapsed since emacs started.
=-=-=-=-=-=-=-= snip =-=-=-=-=-=-=-=

-- 
http://hexmode.com/

I cannot remember the books I've read any more than the meals I have eaten;
even so, they have made me.
            -- Ralph Waldo Emerson